lwIP 2.1.2 Lightweight IP stack

Macros
httpd_opts.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/prot/iana.h"`

## Macros
#define | LWIP_HTTPD_CGI 0
#define | LWIP_HTTPD_CGI_SSI 0
#define | LWIP_HTTPD_SSI 0
#define | LWIP_HTTPD_SSI_RAW 0
#define | LWIP_HTTPD_SSI_BY_FILE_EXTENSION 1
#define | LWIP_HTTPD_SUPPORT_POST 0
#define | LWIP_HTTPD_SSI_MULTIPART 0
#define | HTTPD_SERVER_AGENT "lwIP/" LWIP_VERSION_STRING " (http://savannah.nongnu.org/projects/lwip)"
#define | LWIP_HTTPD_DYNAMIC_HEADERS 0
#define | HTTPD_USE_MEM_POOL 0
#define | HTTPD_SERVER_PORT LWIP_IANA_PORT_HTTP
#define | HTTPD_SERVER_PORT_HTTPS LWIP_IANA_PORT_HTTPS
#define | HTTPD_ENABLE_HTTPS 0
#define | HTTPD_MAX_RETRIES 4
#define | HTTPD_POLL_INTERVAL 4
#define | HTTPD_TCP_PRIO TCP_PRIO_MIN
#define | LWIP_HTTPD_TIMING 0
#define | HTTPD_DEBUG_TIMING LWIP_DBG_OFF
#define | LWIP_HTTPD_SUPPORT_EXTSTATUS 0
#define | LWIP_HTTPD_SUPPORT_V09 1
#define | LWIP_HTTPD_SUPPORT_11_KEEPALIVE 0
#define | LWIP_HTTPD_SUPPORT_REQUESTLIST 1
#define | LWIP_HTTPD_REQ_QUEUELEN 5
#define | LWIP_HTTPD_REQ_BUFSIZE LWIP_HTTPD_MAX_REQ_LENGTH
#define | LWIP_HTTPD_MAX_REQ_LENGTH LWIP_MIN(1023, (LWIP_HTTPD_REQ_QUEUELEN * PBUF_POOL_BUFSIZE))
#define | LWIP_HTTPD_MAX_REQUEST_URI_LEN 63
#define | LWIP_HTTPD_POST_MAX_RESPONSE_URI_LEN 63
#define | LWIP_HTTPD_SSI_INCLUDE_TAG 1
#define | LWIP_HTTPD_ABORT_ON_CLOSE_MEM_ERROR 0
#define | LWIP_HTTPD_KILL_OLD_ON_CONNECTIONS_EXCEEDED 0
#define | LWIP_HTTPD_OMIT_HEADER_FOR_EXTENSIONLESS_URI 0
#define | HTTP_IS_TAG_VOLATILE(ptr) TCP_WRITE_FLAG_COPY
#define | LWIP_HTTPD_CUSTOM_FILES 0
#define | LWIP_HTTPD_DYNAMIC_FILE_READ 0
#define | LWIP_HTTPD_FILE_STATE 0
#define | HTTPD_PRECALCULATED_CHECKSUM 0
#define | LWIP_HTTPD_FS_ASYNC_READ 0
#define | HTTPD_FSDATA_FILE "fsdata.c"

## Detailed Description

HTTP server options list